Skip to main content
GET
/
api
/
v1
/
contract-interactions
/
network
/
{networkId}
/
contract-address
/
{contractAddress}
/
functions
Get deployed contract ABI/functions
curl --request GET \
  --url https://sandbox.oumla.com/api/v1/contract-interactions/network/{networkId}/contract-address/{contractAddress}/functions \
  --header 'x-api-key: <api-key>' \
  --header 'x-sdk-version: <x-sdk-version>'
{
  "contractAbi": {
    "abi": [
      "<string>"
    ],
    "contractAddress": "<string>",
    "implementationAddress": "<string>",
    "network": "<string>",
    "status": "<string>",
    "source": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication

Headers

x-sdk-version
string
default:1.0.0
required

SDK version header

Path Parameters

networkId
string
required

Network Id

contractAddress
string
required

Contract address

Response

Deployed contract ABI / functions

contractAbi
object